# FeeRequest | xrpl
Documentation for xrpl

# Interface FeeRequest

The `fee` command reports the current state of the open-ledger requirements for the transaction cost. This requires the FeeEscalation amendment to be enabled. Expects a response in the form of a FeeResponse.

### Example

    const feeRequest: FeeRequest = {
     command: 'fee'
    }

#### Hierarchy

- BaseRequest
  - FeeRequest

- Defined in packages/xrpl/src/models/methods/fee.ts:17

#####
Index

### Properties

api_version?
command
id?

## Properties

### `Optional` api_version

api_version?: number

The API version to use. If omitted, use version 1.

Inherited from BaseRequest.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:14

### command

command: "fee"

Overrides BaseRequest.command

- Defined in packages/xrpl/src/models/methods/fee.ts:18

### `Optional` id

id?: string | number

A unique value to identify this request. The response to this request uses the same id field. This way, even if responses arrive out of order, you know which request prompted which response.

Inherited from BaseRequest.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:10

Generated using TypeDoc